# IpeStringStream Class Reference
[Ipe Base]

Stream writing into an IpeString. More...

Inherits IpeStream.

List of all members.

## Public Member Functions

- IpeStringStream (IpeString &string)
- virtual void PutChar (char ch)
- virtual void PutString (IpeString s)
- virtual void PutCString (const char *s)
- virtual void PutRaw (const char *data, int size)

## Detailed Description

Stream writing into an IpeString.

## Constructor & Destructor Documentation

IpeStringStream::IpeStringStream | ( | IpeString & | string | ) |

| Construct with string reference.

## Member Function Documentation

void IpeStringStream::PutChar | ( | char | ch | ) | `[virtual]`

| Output character. Implements IpeStream.

void IpeStringStream::PutString | ( | IpeString | s | ) | `[virtual]`

| Output string. Implements IpeStream.

void IpeStringStream::PutCString | ( | const char * | s | ) | `[virtual]`

| Output C string. Implements IpeStream.

void IpeStringStream::PutRaw | ( | const char * | data,
|  | int | size
| ) | `[virtual]`

| Output raw character data. Implements IpeStream.

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp